Bug 472879 - mock cannot build the f10 environment anymore
mock cannot build the f10 environment anymore
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
8
All Linux
medium Severity high
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-25 06:48 EST by Patrick Monnerat
Modified: 2016-02-29 09:02 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:54:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mock command standard output (12.08 KB, text/plain)
2008-11-25 06:48 EST, Patrick Monnerat
no flags Details
root.log (21.09 KB, text/plain)
2008-11-25 06:50 EST, Patrick Monnerat
no flags Details
state.log (116 bytes, text/plain)
2008-11-25 06:52 EST, Patrick Monnerat
no flags Details

  None (edit)
Description Patrick Monnerat 2008-11-25 06:48:18 EST
Created attachment 324594 [details]
mock command standard output

Description of problem:
Failure during environment setup.


Version-Release number of selected component (if applicable):
mock-0.9.13-1.fc8

How reproducible:
Was OK yesterday, but fails today.

Steps to Reproduce:
mock -r fedora-10-i386 --rebuild somepackage.src.rpm
  
Actual results:
See attachements.


Expected results:
Successful package building


Additional info:
Comment 1 Patrick Monnerat 2008-11-25 06:50:56 EST
Created attachment 324595 [details]
root.log
Comment 2 Patrick Monnerat 2008-11-25 06:52:02 EST
Created attachment 324596 [details]
state.log
Comment 3 Jesse Keating 2008-11-25 10:41:57 EST
That's a pam %post bug.
Comment 4 Tomas Mraz 2008-11-25 11:10:42 EST
Not that pam changed recently.

I suppose the failure of %post of pam is probably caused by missing /dev/null in the chroot in time the pam package is installed?

I'd really like to be able to do install -m 600 /dev/null /var/log/tallylog in the %post.

Or is it a missing /var/log directory? Then adding -D would suffice.
Comment 5 Patrick Monnerat 2008-11-25 11:23:56 EST
I don't think so: errors are (from root.log):

/var/tmp/rpm-tmp.80192: line 3: install: command not found
/var/tmp/rpm-tmp.80192: line 6: install: command not found
error: %post(pam-1.0.2-2.fc10.i386) scriptlet failed, exit status 127

I can't tell more, because it's under mock control (standard fedora-10-i386 mock config).

I think it's a cyclic dependency problem: coreutils requires pam, and pam uses install that is in coreutils.

I've temporarily solved the problem by excluding package coreutils from the update repository. That does not mean the updated coreutils package is wrong: it only tells us the pam %post is executed before coreutils files are installed.
Comment 6 Clark Williams 2008-11-25 12:11:35 EST
I'm not sure I understand Tomas's comment in #4 about missing /dev/null in the chroot. That's one of the stock devices mock sets up when we build a chroot; the /dev/null file will always be there.
Comment 7 Tomas Mraz 2008-11-25 12:20:06 EST
OK, so the problem is actually missing coreutils when %post of pam is run.

But coreutils always had 'Requires: pam' and pam has 'Requires(post): coreutils' so to me it seems that coreutils should be installed first in the transaction. So what changed recently in yum/rpm that the install order is different?
Comment 8 Jesse Keating 2008-11-25 12:36:27 EST
Install loops are hard to get right.  We'll likely need panu looking at this with debugging to figure out why the loop is getting cut where it is.  Of course, it's using the F8 version of rpm to do the install ordering, that always adds fun.
Comment 9 Bug Zapper 2008-11-26 06:20:03 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Patrick Monnerat 2008-12-01 06:05:37 EST
I confirm this bug does NOT occur on Fedora 10.

Since I do not have a Fedora 9 machine up and running, perhaps someone can check this bug on F9 and post a comment here: this will help reclassify or close the bug. Thanks in advance.
Comment 11 Patrick Monnerat 2008-12-04 11:14:41 EST
Any F9 user mocking for F10 ? If yes, please tell here if successful. Thanks.
Comment 12 Bug Zapper 2009-01-09 02:54:00 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.